unit class_UI_values;

interface

uses user_types;

{$REGION 'КЛАСС "Массив тока или напряжения"'}
type
  TRDValue_UI = class (TObject)
    private
      values: TValue_UI;
      //compressed_values:TSomething;

      function check_array( in_array: TValue_UI): boolean; //надо посмотреть

    public
      constructor Create;

      function Get_values(): TValue_UI;
      function Set_values( in_Array: TValue_UI): boolean;

end;
{$ENDREGION}

implementation

constructor TRDValue_UI.Create;
var i: Word;
begin
  for i := 1 to DEVICE_MESSAGE_LENGTH do
  begin
    self.values[ i ] := 0;
  end;
end;

function TRDValue_UI.Get_values():TValue_UI;
begin
  result:=self.values;
end;

function TRDValue_UI.Set_values(in_Array:TValue_UI):boolean;
begin
  if check_array( in_Array ) then
  begin
    self.values := in_Array;
    result := true;
  end
  else
  begin
    result := false;
  end;
end;

function TRDValue_UI.check_array( in_array: TValue_UI): boolean;
begin
  result := true;
end;

end.
